NS_GET_NSTYPE(2const)

NAME
NS_GET_NSTYPE - discovering the namespace type

SYNOPSIS
#include <linux/nsfs.h>  /* Definition of NS_GET_NSTYPE */
#include <sys/ioctl.h>

int ioctl(int fd, NS_GET_NSTYPE);

DESCRIPTION
The NS_GET_NSTYPE operation can be used to discover the type of namespace referred to by the file descriptor fd.

fd refers to a /proc/pid/ns/* file.

RETURN VALUE
On success, the return value is one of the CLONE_NEW* values that can be specified to clone(2) or unshare(2) in order to create a namespace.

On error, -1 is returned, and errno is set to indicate the error.

STANDARDS
Linux.

HISTORY
Linux 4.11.

SEE ALSO
ioctl(2), ioctl_nsfs(2)